:root {
    --bleeding-Y: 20px;
    --bleeding-X: 22px;
    --bleeding: 0.5cm;
    --margin: 0cm;
}

* {
    box-sizing: border-box;
}

@page {
    size: A4 landscape;
    margin: 0;
}

body {
    margin: 0 auto;
    padding: 0;
    background: rgb(204, 204, 204);
    display: flex;
    flex-direction: column;
    color: #222;
    font-family: 'Thongterm';
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
    font-feature-settings: 'clig' off, 'liga' off;
    min-height: 100vh;
}

.page-lsc {
    display: inline-block;
    position: relative;
    height: 210mm;
    width: 297mm;
    font-size: 12pt;
    margin: 1em auto;
    padding: 35px 37px 39px 22px;
    box-shadow: 0 0 0.5cm rgba(0, 0, 0, 0.5);
    background: white;
}


@media screen {
    .page-lsc::after {
        position: absolute;
        content: '';
        inset: 0;
        padding: 0;
        margin: 0;
        outline: thin dashed black;
        pointer-events: none;
        z-index: 9999;
        display: none;
    }
}

/* Custom Css */
.page-lsc {
}

    .page-lsc .main-logo {
        width: 27.243px;
        height: 42.929px;
    }

    .page-lsc .krungsri-property {
        width: 144.064px;
        height: 15.576px;
    }

    .page-lsc header {
        padding-top: 25px;
        padding-left: 22px;
        border-bottom: unset;
    }

    .page-lsc .container-lsc {
        padding: 13px;
        width: 100%;
    }

    .page-lsc .cell-property .unempty-print > img {
        width: 183.429px;
        height: 137.143px;
        flex-shrink: 0;
        border-radius: 8px;
        background-color: rgba(211, 211, 211, 0.5);
    }

    .page-lsc img.ks-card-image {
        border-radius: 8px;
    }


    .page-lsc .container-compare .table th,
    .page-lsc .container-compare .table td {
        font-size: 12px;
    }

    .page-lsc .container-compare .table thead th {
        vertical-align: middle;
        height: 137px;
        width: 184px;
    }

.text-line-limit {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    padding: 0;
}


    .page-lsc .compare-content {
        border-bottom: unset;
    }



@media print {
    .page-lsc {
        margin: 0;
        overflow: hidden;
        max-height: 209.5mm;
        box-shadow: none;
    }

    .container-fluid {
        width: 100%;
        margin: 0;
        padding: 0;
    }
}

header {
    height: 40px;
    display: flex;
    align-items: center;
}

.main-logo {
    width: 25.385px;
    height: 40px;
}

.text-logo {
    width: 134.235px;
    height: 14.513px;
}

.preview-gallery {
    display: flex;
    align-items: center;
    gap: 8.84px;
    overflow: hidden;
    margin-bottom: 12px;
}

    .preview-gallery .item {
        width: 33.333333%;
        height: 44.352mm;
        overflow: hidden;
        border: 0;
        flex: 0 1 auto;
    }

.hide-item {
    visibility: hidden;
}

.preview-gallery .item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.preview-gallery .item:nth-child(n+4) {
    display: none;
}

.property-name {
    color: #222;
    font-family: 'Krungsri_Condensed';
    font-size: 14px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

.property-price {
    color: #222;
    text-align: center;
    font-family: 'Krungsri_Condensed';
    font-size: 14px;
    font-style: normal;
    font-weight: 700;
    line-height: 32px;
}

.property-price-container {
    display: flex;
    align-items: center;
    height: 32px;
}

    .property-price-container.discounted .property-price {
        color: #FF5050;
    }

.badge {
    border-radius: 9.5px;
    border: 1px solid #FF5050;
    background: #FF5050;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 47px;
    height: 18px;
    margin-right: 24px;
    font-size: 10px;
    font-family: 'Krungsri_Condensed';
    font-size: 10px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.map {
    width: auto;
    height: 100%;
    max-width: 100%;
    max-height: 190px;
}

.property-detail-header {
    color: #222;
    font-family: 'Krungsri_Condensed';
    font-size: 12px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    display: flex;
    align-content: center;
    gap: 8px;
}

    .property-detail-header img {
        width: 20px;
        height: 20px;
    }

.property-detail-group {
    display: flex;
    align-items: center;
    margin-bottom: 4px;
}

    .property-detail-group .title {
        width: 102px;
        margin-right: 30px;
        color: #222;
        font-family: 'Thongterm';
        font-size: 12px;
        font-style: normal;
        font-weight: 700;
        line-height: normal;
        flex: 0 0 102px;
    }

    .property-detail-group .detail {
        color: #222;
        font-family: 'Thongterm';
        font-size: 12px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
    }

.highlight-info {
    display: flex;
    flex-wrap: wrap;
    justify-content: normal;
    row-gap: 8px;
}

    .highlight-info .item {
        color: #202020;
        font-family: 'Thongterm';
        font-size: 10px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
        display: flex;
        align-items: center;
        flex: 0 0 25%;
        min-height: 21px;
        max-width: 132px;
    }

        .highlight-info .item img {
            width: 20px;
            height: 20px;
            margin-right: 10px;
        }

        .highlight-info .item i {
            font-size: 14px;
            margin-right: 10px;
            width: 20px;
            height: 20px;
        }

        .highlight-info .item span {
            position: relative;
            top: 2px;
        }

hr.seperate {
    width: 80%;
    height: 1px;
    background-color: transparent;
    margin: auto;
    padding: 0;
    opacity: 1;
    border: 0;
}

    hr.seperate::after {
        content: '';
        display: block;
        position: absolute;
        left: 0;
        right: 0;
        margin: auto;
        width: 85%;
        height: 1px;
        background-color: #D0D0D0;
    }

.property-subinfo-container {
    position: relative;
}

.remark {
    color: #202020;
    font-family: 'Thongterm';
    font-size: 8px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

    .remark .remark-title {
        color: #202020;
        font-family: 'Thongterm';
        font-size: 10px;
        font-style: normal;
        font-weight: 700;
        line-height: normal;
    }

.qr-container {
    position: absolute;
    right: 20px;
    top: 0;
    width: 108px;
}

.qr-code img {
    width: 98px;
    height: 98px;
    margin: auto;
}

.qr-message {
    color: #222;
    font-family: 'Krungsri_Condensed';
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.flex-cus {
    display: flex;
    justify-content: center;
    align-items: center;
}

.ks-room-icon {
    padding: 0 7px;
    display: flex;
    align-items: center;
    gap: 4px;
}

    .ks-room-icon:nth-child(n +1) {
        border-left: 1px solid #202020;
    }

    .ks-room-icon:nth-child(1) {
        border-left: unset;
    }

    .ks-room-icon:nth-child(2) {
        gap: 1px;
    }

@media screen and (max-width: 1200px) {
    .main-logo-block .krungsri-property {
        width: 16vw;
    }

    .container-compare .table {
        width: 100%;
    }
}
/* End Custom Css */

